org.eclipse.rdf4j.query.algebra.helpers

## Class QueryModelNodeReplacer

- java.lang.Object
- - org.eclipse.rdf4j.query.algebra.helpers.AbstractQueryModelVisitor<RuntimeException>
  - - org.eclipse.rdf4j.query.algebra.helpers.QueryModelNodeReplacer

- All Implemented Interfaces:
    QueryModelVisitor<RuntimeException>

  Deprecated.

      @Deprecated
      public class QueryModelNodeReplacer
      extends AbstractQueryModelVisitor<RuntimeException>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `QueryModelNodeReplacer()` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `meet(Filter node)` Deprecated.
    `protected void` | `meetBinaryTupleOperator(BinaryTupleOperator node)` Deprecated. Method called by all `meet` methods with a `BinaryTupleOperator` node as argument.
    `protected void` | `meetBinaryValueOperator(BinaryValueOperator node)` Deprecated. Method called by all `meet` methods with a `BinaryValueOperator` node as argument.
    `protected void` | `meetNode(QueryModelNode node)` Deprecated. Method called by all of the other `meet` methods that are not overridden in subclasses.
    `protected void` | `meetUnaryTupleOperator(UnaryTupleOperator node)` Deprecated. Method called by all `meet` methods with a `UnaryTupleOperator` node as argument.
    `protected void` | `meetUnaryValueOperator(UnaryValueOperator node)` Deprecated. Method called by all `meet` methods with a `UnaryValueOperator` node as argument.
    `void` | `removeChildNode(QueryModelNode parent, QueryModelNode former)` Deprecated.
    `void` | `removeNode(QueryModelNode former)` Deprecated.
    `void` | `replaceChildNode(QueryModelNode parent, QueryModelNode former, QueryModelNode replacement)` Deprecated.
    `void` | `replaceNode(QueryModelNode former, QueryModelNode replacement)` Deprecated.

    - ### Methods inherited from class org.eclipse.rdf4j.query.algebra.helpers.AbstractQueryModelVisitor

      `meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meetCompareSubQueryValueOperator, meetNAryValueOperator, meetOther, meetSubQueryValueOperator, meetUpdateExpr`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### QueryModelNodeReplacer

          public QueryModelNodeReplacer()

      Deprecated.

  - ### Method Detail

    - #### replaceChildNode

          public void replaceChildNode(QueryModelNode parent,
                                       QueryModelNode former,
                                       QueryModelNode replacement)

      Deprecated.

    - #### replaceNode

          public void replaceNode(QueryModelNode former,
                                  QueryModelNode replacement)

      Deprecated.

    - #### removeChildNode

          public void removeChildNode(QueryModelNode parent,
                                      QueryModelNode former)

      Deprecated.

    - #### removeNode

          public void removeNode(QueryModelNode former)

      Deprecated.

    - #### meet

          public void meet(Filter node)

      Deprecated.
      Specified by:
        `meet` in interface `QueryModelVisitor<RuntimeException>`
      Overrides:
        `meet` in class `AbstractQueryModelVisitor<RuntimeException>`

    - #### meetBinaryTupleOperator

          protected void meetBinaryTupleOperator(BinaryTupleOperator node)

      Deprecated.
      Description copied from class: `AbstractQueryModelVisitor`
      Method called by all `meet` methods with a `BinaryTupleOperator` node as argument. Forwards the call to `AbstractQueryModelVisitor.meetNode(org.eclipse.rdf4j.query.algebra.QueryModelNode)` by default.
      Overrides:
        `meetBinaryTupleOperator` in class `AbstractQueryModelVisitor<RuntimeException>`
      Parameters:
        `node` - The node that is being visited.

    - #### meetBinaryValueOperator

          protected void meetBinaryValueOperator(BinaryValueOperator node)

      Deprecated.
      Description copied from class: `AbstractQueryModelVisitor`
      Method called by all `meet` methods with a `BinaryValueOperator` node as argument. Forwards the call to `AbstractQueryModelVisitor.meetNode(org.eclipse.rdf4j.query.algebra.QueryModelNode)` by default.
      Overrides:
        `meetBinaryValueOperator` in class `AbstractQueryModelVisitor<RuntimeException>`
      Parameters:
        `node` - The node that is being visited.

    - #### meetUnaryTupleOperator

          protected void meetUnaryTupleOperator(UnaryTupleOperator node)

      Deprecated.
      Description copied from class: `AbstractQueryModelVisitor`
      Method called by all `meet` methods with a `UnaryTupleOperator` node as argument. Forwards the call to `AbstractQueryModelVisitor.meetNode(org.eclipse.rdf4j.query.algebra.QueryModelNode)` by default.
      Overrides:
        `meetUnaryTupleOperator` in class `AbstractQueryModelVisitor<RuntimeException>`
      Parameters:
        `node` - The node that is being visited.

    - #### meetUnaryValueOperator

          protected void meetUnaryValueOperator(UnaryValueOperator node)

      Deprecated.
      Description copied from class: `AbstractQueryModelVisitor`
      Method called by all `meet` methods with a `UnaryValueOperator` node as argument. Forwards the call to `AbstractQueryModelVisitor.meetNode(org.eclipse.rdf4j.query.algebra.QueryModelNode)` by default.
      Overrides:
        `meetUnaryValueOperator` in class `AbstractQueryModelVisitor<RuntimeException>`
      Parameters:
        `node` - The node that is being visited.

    - #### meetNode

          protected void meetNode(QueryModelNode node)

      Deprecated.
      Description copied from class: `AbstractQueryModelVisitor`
      Method called by all of the other `meet` methods that are not overridden in subclasses. This method can be overridden in subclasses to define default behaviour when visiting nodes. The default behaviour of this method is to visit the node's children.
      Overrides:
        `meetNode` in class `AbstractQueryModelVisitor<RuntimeException>`
      Parameters:
        `node` - The node that is being visited.

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.